Name:		man-pages-zh_CN
Version:	1.4
Release:	2
Summary:	Chinese translation of man pages from the CMPP project
Summary(zh_CN):	来自CMPP 计划的中文手册页

Group:		Documentation
Copyright:	FDL
Vendor:		CMPP project
URL:		http://cmpp.linuxforum.net
Source:		http://cmpp.linuxforum.net/download/%{name}-%{version}.tar.gz
Packager:	bbbush <bbbush@163.com>
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

#==========================
%description
Chinese translation of man pages from the CMPP project.
%description -l zh_CN
来自CMPP 计划的中文手册页。
请访问 http://cmpp.linuxforum.net 来获取更多信息。
#==========================
%package gb
Summary:	Chinese translation of man pages from the CMPP project, gb
Group:		Documentation
%description gb
Chinese translation of man pages from the CMPP project.
Files are coded in zh_CN.GB18030 and you can use "cman" command to view them.
#==========================
%package html
Summary:	CMPP in html format for web use
Summary(zh_CN):	html格式的中文手册页，用于web浏览
Group:		Documentation
%description html
CMPP in html format for web use.
%description html -l zh_CN
html格式的中文手册页，用于web 浏览。
#==========================
%package html-gb
Summary:	CMPP in html format for web use, gb
Group:		Documentation
%description html-gb
CMPP in html format for web use, gb.
#==========================
%package xml
Summary:	CMPP in xml format for store and processing
Summary(zh_CN):	xml格式的中文手册页，用于数据处理
Group:		Documentation
%description xml
CMPP in xml format for store and processing.
%description xml -l zh_CN
xml格式的中文手册页，用于数据处理。
#==========================

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_usr}/share install-doc
make DESTDIR=$RPM_BUILD_ROOT%{_usr}/share install
make DESTDIR=$RPM_BUILD_ROOT%{_usr}/share CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir} install-gb
make DESTDIR=$RPM_BUILD_ROOT%{_usr}/share install-html
make DESTDIR=$RPM_BUILD_ROOT%{_usr}/share install-html-gb
make DESTDIR=$RPM_BUILD_ROOT%{_usr}/share install-xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_mandir}/zh_CN.UTF-8
%{_usr}/share/doc/%{name}
%files gb
%{_mandir}/zh_CN.GB*
%{_sysconfdir}/cman.conf
%{_sysconfdir}/profile.d/cman.*
%{_usr}/share/doc/%{name}
%files html
%{_usr}/share/html/%{name}
%files html-gb
%{_usr}/share/html/%{name}-gb
%files xml
%{_usr}/share/xml/%{name}

%changelog
* Sun Oct 26 2003 bbbush <bbbush@163.com>
- mainly for UTF-8, depends on iconv and man2html

* Tue Jun 19 2001 Yangbotao <yangbt@legend.com>
- first chinese manpages.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsrød <teg@redhat.com>
- first build

